# Command: CopyModel

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    CopyModel - copy a model to a new name, set parameters for copy, if
      given

Synopsis:

      /model /new_model param_dict ->	-
      /model /new_model	 ->	-

Description:

      A copy of model is created and registered in modeldict or synapsedict
      under the name new_model. If a parameter dictionary is given, the parameters
      are set in new_model.
      Warning: It is impossible to unload modules after use of CopyModel.

Parameters:

      /model		- literal naming an existing model
      /new_model 	- literal giving the name of the copy to create, must not
      exist in modeldict or synapsedict before
      /param_dict	- parameters to set in the new_model

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/nestkernel/nestmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative